#include <bits/stdc++.h>
#include "code.h"
using namespace std;

namespace {
    static vector<pair<int, int>> points;
    static vector<int> p;
    static int n;
    static int q;
    static int qt;
}
vector<pair<int, int>> ZapisiTacke(int n){
    vector<pair<int, int>> tacke;
    tacke[0].first = tacke[0].second = 0;
    tacke[1].first = 1;
    tacke[1].second = 0;
    tacke[2].first = 1;
    tacke[2].second = 1;
    for(int i = 3; i<=n; i++){
        tacke[i].first = i;
        tacke[i].second = 0;
    }
    return tacke;
}
vector<int> Resi(int n, int q){
    vector<int> res;
    res[0] = 67;
    if(Pitaj(1, 2, 3)==0){
        for(int i = n; i>=1; i--)res[i] = i;
    }
    else for(int i = 1; i<=n; i++)res[i] = i;
    return res;
}